package com.zipcoder.payment;

public class CreditCard implements Payment {
    long id;
    String payerName, number;
    int expiredMo, expiredYr;

    public CreditCard(long id, String payerName, String number, int expiredMo, int expiredYr) {
        this.id = id;
        this.payerName = payerName;
        this.number = number;
        this.expiredMo = expiredMo;
        this.expiredYr = expiredYr;
    }

    @Override
    public long getId() { return id; }

    public void setId(long id) { this.id = id; }

    @Override
    public String getPayerName() { return payerName; }

    public void setPayerName(String payerName) { this.payerName = payerName; }

    public String getNumber() { return number; }

    public void setNumber(String number) { this.number = number; }

    public int getExpiredMo() { return expiredMo; }

    public void setExpiredMo(int expiredMo) { this.expiredMo = expiredMo; }

    public int getExpiredYr() { return expiredYr; }

    public void setExpiredYr(int expiredYr) { this.expiredYr = expiredYr; }

    public String getShortDescription(){
        return "CC" + " " + payerName + " " + number.substring(number.length()-4)
                + " " + expiredMo + "/" + expiredYr;
    }

    @Override
    public int compareTo(Payment other) {
        return this.getShortDescription().compareTo(other.getShortDescription());
    }
}
