package com.zipcoder.payment;

public class PaymentPresenter {
    PaymentSortByPayer sortPlayer = new PaymentSortByPayer();
    String payPresenter = new String();

    public String toString(Payment ...payments){
        sortPlayer.compareArray(payments);
        appendPresenter(payments);
        return payPresenter;
    }

    public String toStringByPayerName(Payment ...payments) {
        sortPlayer.compareByPayerName(payments);
        appendPresenter(payments);
        return payPresenter;
    }

    public String toStringById(Payment ...payments) {
        sortPlayer.compareById(payments);
        appendPresenter(payments);
        return payPresenter;
    }

    private void appendPresenter(Payment[] payments) {
        for(Payment payment : payments){
            payPresenter += payment.getShortDescription() + "\n";
        }
    }
}
