package com.zipcoder.payment;

public class PaymentSortByPayer implements Comparable<Payment> {
    Payment pay1,pay2;
    Payment[] payments;

    public PaymentSortByPayer(){}

    public PaymentSortByPayer(Payment pay1) { this.pay1 = pay1; }

    public PaymentSortByPayer(Payment[] payments) { this.payments = payments; }

    public PaymentSortByPayer(Payment pay1, Payment pay2) {
        this.pay1 = pay1;
        this.pay2 = pay2;
    }

    @Override
    public int compareTo(Payment o){
        return pay1.getShortDescription().compareTo(o.getShortDescription());
    }

    public int compare(){
        return pay1.getShortDescription().compareTo(pay2.getShortDescription());
    }

    public int compare(Payment pay1, Payment pay2){
        return pay1.getShortDescription().compareTo(pay2.getShortDescription());
    }

    public Payment[] compareArray(Payment ... payments) {
        for (int i = 0; i < payments.length-1; i++) {
            for (int j = 0; j < payments.length-1; j++)
                sortByComparison(j, payments);
        }
        return payments;
    }

    private void sortByComparison(int j, Payment[] payments) {
        if (compare(payments[j], payments[j+1]) > 0) {
            Payment temp = payments[j];
            payments[j] = payments[j+1];
            payments[j+1] = temp;
        }
    }

    public Payment[] compareById(Payment ... payments) {
        for (int i = 0; i < payments.length-1; i++) {
            for (int j = 0; j < payments.length-1; j++) {
                sortById(j, payments);
            }
        }
        return payments;
    }

    private void sortById(int j, Payment[] payments) {
        if (payments[j].getId() > payments[j+1].getId()) {
            Payment temp = payments[j];
            payments[j] = payments[j+1];
            payments[j+1] = temp;
        }
    }

    public Payment[] compareByPayerName(Payment ... payments) {
        for (int i = 0; i < payments.length-1; i++) {
            for (int j = 0; j < payments.length-1; j++) {
                sortByName(j, payments);
            }
        }
        return payments;
    }

    private void sortByName(int j, Payment[] payments) {
        if (payments[j].getPayerName().compareTo(payments[j+1].getPayerName()) > 0) {
            Payment temp = payments[j];
            payments[j] = payments[j+1];
            payments[j+1] = temp;
        }
    }


}
