package com.zipcoder.payment;
import org.junit.Before;
import org.junit.Test;
import org.junit.Assert;

public class CheckTest {
    Check check;

    @Before
    public void initialize(){
        check = new Check(1L, "Bill", "1111111111", "2222222222");
    }
    @Test
    public void testCheckName(){
        Assert.assertEquals("Bill",check.getPayerName());
    }
    @Test
    public void testCheckId(){
        Assert.assertEquals(1L,check.getId());
    }
    @Test
    public void testCheckRoutingNumber(){
        Assert.assertEquals("1111111111",check.getRoutingNumber());
    }
    @Test
    public void testCheckAccountNumber(){
        Assert.assertEquals("2222222222",check.getAccountNumber());
    }

    @Test
    public void testCheckDescription() {
        String exp = "Check Bill ***2222";
        // : Then
        Assert.assertEquals(exp, check.getShortDescription());
    }
}
