package com.zipcoder.payment;
import org.junit.Before;
import org.junit.Test;
import org.junit.Assert;

public class CreditCardTest {
    CreditCard cc;

    @Before
    public void initialize(){
        cc = new CreditCard(3L,"Pat","3333333333",10,2020);
    }
    @Test
    public void testCCname(){
        Assert.assertEquals("Pat",cc.getPayerName());
    }
    @Test
    public void testCCid(){
        Assert.assertEquals(3L,cc.getId());
    }
    @Test
    public void testCCnumber(){
        Assert.assertEquals("3333333333",cc.getNumber());
    }
    @Test
    public void testCCexpMo(){
        Assert.assertEquals(10,cc.getExpiredMo());
    }
    @Test
    public void testCCexpYr(){
        Assert.assertEquals(2020,cc.getExpiredYr());
    }
    @Test
    public void testCCdescription(){
        // : When
        String exp = "CC Pat 3333 10/2020";
        // : Then
        Assert.assertEquals(exp,cc.getShortDescription());
    }
}
