package com.zipcoder.payment;

import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;

public class PayPalTest {
        PayPal payPal;

    @Before
    public void initialize(){
        payPal = new PayPal(1L,"Joe","joe@gmail.com");
    }

    @Test
    public void testPayPalName(){
        Assert.assertEquals("Joe",payPal.getPayerName());
    }
    @Test
    public void testPayPalId(){
        Assert.assertEquals(1L,payPal.getId());
    }

    @Test
    public void testPayPalEmail(){
        Assert.assertEquals("joe@gmail.com",payPal.getEmail());
    }

    @Test
    public void testPayPalDescription() {
        // : When
        String exp = "Paypal Joe joe@gmail.com";
        // : Then
        Assert.assertEquals(exp, payPal.getShortDescription());
    }
}
