package com.zipcoder.payment;

public class Check implements Payment{
    long id;
    String payerName, routingNumber, accountNumber;

    public Check(long id, String payerName, String routingNumber, String accountNumber) {
        this.id = id;
        this.payerName = payerName;
        this.routingNumber = routingNumber;
        this.accountNumber = accountNumber;
    }

    @Override
    public long getId() { return id; }

    public void setId(long id) { this.id = id; }

    @Override
    public String getPayerName() { return payerName; }

    public void setPayerName(String payerName) { this.payerName = payerName; }

    public String getRoutingNumber() { return routingNumber; }

    public void setRoutingNumber(String routingNumber) { this.routingNumber = routingNumber; }

    public String getAccountNumber() { return accountNumber; }

    public void setAccountNumber(String accountNumber) { this.accountNumber = accountNumber; }

    public String getShortDescription(){
        return "Check" + " " + payerName +
                " ***" + accountNumber.substring(accountNumber.length()-4);
    }

    @Override
    public int compareTo(Payment other) {
        return this.getShortDescription().compareTo(other.getShortDescription());
    }
}
